## python-pulp 1.6.0%2Bdfsg1

=== debian/changelog ===
python-pulp (1.6.0+dfsg1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).
  * d/rules: Changed UPSTREAM_GIT protocol to https

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Correcting permissions in debian packaging files.
  * Updating standards version to 4.0.1.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * Using pkgos-dh_auto_install.
  * Fixed shebang to be python3, not python3.x.
  * Switched to debhelper 10.
  * Standards-Version is now 4.1.1.

 -- Thomas Goirand <zigo@debian.org>  Sun, 05 Nov 2017 22:54:32 +0000

python-pulp (1.6.0+dfsg1-1) unstable; urgency=medium

  * Initial release. (Closes: #801842)

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Oct 2015 09:21:46 +0200

## python-pulp 2.5.1+dfsg

=== doc/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = python3 -msphinx
SOURCEDIR     = source
BUILDDIR      = ./build
PDFBUILDDIR   = /tmp
PDF           = ../manual.pdf

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

buildandcommithtml: html latexpdf

	cd $(BUILDDIR)/html; git add . ; git commit -m "rebuilt docs"; git push origin gh-pages

## python-pulp 1.6.0+dfsg1

=== debian/changelog ===
python-pulp (1.6.0+dfsg1-5) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Matthias Klose]
  * Fix time.clock import for python3.8 (Closes: #944160).

 -- Thomas Goirand <zigo@debian.org>  Mon, 18 Nov 2019 08:54:23 +0100

python-pulp (1.6.0+dfsg1-4) unstable; urgency=medium

  * Team upload.
  * Use pybuild for building package (Closes: #933774).
  * Enable autopkgtest-pkg-python testsuite.
  * Bump debhelper compat level to 12.
  * Bump standards version to 4.4.0 (no changes).

 -- Ondřej Nový <onovy@debian.org>  Sat, 10 Aug 2019 15:33:55 +0200

python-pulp (1.6.0+dfsg1-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: Use team+openstack@tracker.debian.org as maintainer
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * Removed Python 2 support.

 -- Thomas Goirand <zigo@debian.org>  Sat, 27 Jul 2019 18:01:24 +0200

=== debian/control ===
Source: python-pulp
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools (>= 99~),
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 coinor-cbc,
 python3-pyparsing,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-pulp
Vcs-Git: https://salsa.debian.org/openstack-team/python/python-pulp.git
Homepage: https://github.com/coin-or/pulp
Testsuite: autopkgtest-pkg-python

Package: python3-pulp
Architecture: all
Depends:
 coinor-cbc,
 python3-pyparsing,
 ${misc:Depends},
 ${python3:Depends},
Description: LP modeler - Python 3.x
 PuLP is an LP modeler written in Python. PuLP can generate MPS or LP files
 and call GLPK, COIN CLP/CBC, CPLEX, and GUROBI to solve linear problems.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pulp

UPSTREAM_GIT := https://github.com/coin-or/PuLP.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3

## python-pulp 2.5.1%2Bdfsg

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pulp

UPSTREAM_GIT := https://github.com/coin-or/PuLP.git

%:
	dh $@ --buildsystem=pybuild --with python3

## python-pulp 2.5.1+dfsg

=== debian/changelog ===
python-pulp (2.5.1+dfsg-2) unstable; urgency=medium

  * Source-only upload.
  * Add myself to uploaders

 -- Nilesh Patra <nilesh@debian.org>  Mon, 18 Oct 2021 12:03:01 +0530

python-pulp (2.5.1+dfsg-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 2.5.1+dfsg
  * d/patches:
    + Remove pyparsing and python3.8 patches
    + Refresh, re-diff o-not-package-non-free-files.patch
  * d/copyright:  
    + Repack, Remove non-free code
    + Remove duplicate entry for doc/KPyCon2009/IEEEtran.bst
  * d/control:
    + Add "Rules-Requires-Root: no"
    + Bump Standards-Version to 4.6.0 (no changes needed)
    + Bump debhelper compatibility level to 13
  * d/watch:
    + version 4, add +dfsg repack suffix
  * Add upstream/metadata
  * Add d/salsa-ci.yml
  * Change refs from openstack to science team
    + Change maintainer, VCS URLs
    + Remove B-D on openstack-pkg-tools
    + Do not include pkgos.make from openstack tools
    + Add Steffen to Uploaders.

  [ Steffen Moeller ]
  * removed copyright exception for files no longer in source tree

 -- Nilesh Patra <nilesh@debian.org>  Mon, 18 Oct 2021 02:42:30 +0530

=== debian/control ===
Source: python-pulp
Section: python
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Steffen Moeller <moeller@debian.org>,
 Nilesh Patra <nilesh@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 coinor-cbc,
 python3-pyparsing,
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/science-team/python-pulp
Vcs-Git: https://salsa.debian.org/science-team/python-pulp.git
Homepage: https://github.com/coin-or/pulp
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-pulp
Architecture: all
Depends:
 coinor-cbc,
 python3-pyparsing,
 ${misc:Depends},
 ${python3:Depends},
Description: LP modeler - Python 3.x
 PuLP is an LP modeler written in Python. PuLP can generate MPS or LP files
 and call GLPK, COIN CLP/CBC, CPLEX, and GUROBI to solve linear problems.
 .
 This package contains the Python 3.x module.

## python-pulp 2.6.0%2Bdfsg

=== debian/changelog ===
python-pulp (2.6.0+dfsg-1) unstable; urgency=medium

  * New upstream version 2.6.0+dfsg (re-diff patches)
  * Add autopkgtests
  * Remove un-needed prerm and postrm
  * d/control: Move package to Math-team
  * d/rules: Remove UPSTREAM_GIT
  * d/copright: Update Uploader's copyright year

 -- Nilesh Patra <nilesh@debian.org>  Sun, 13 Mar 2022 23:49:38 +0530

## python-pulp 2.6.0+dfsg

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: python-pulp
 Section: python
 Priority: optional
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Math Team <team+math@tracker.debian.org>
 Uploaders:
- Thomas Goirand <zigo@debian.org>,
  Steffen Moeller <moeller@debian.org>,
  Nilesh Patra <nilesh@debian.org>
 Build-Depends:
@@ -15,8 +14,8 @@
  coinor-cbc,
  python3-pyparsing,
 Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/science-team/python-pulp
-Vcs-Git: https://salsa.debian.org/science-team/python-pulp.git
+Vcs-Browser: https://salsa.debian.org/math-team/python-pulp
+Vcs-Git: https://salsa.debian.org/math-team/python-pulp.git
 Homepage: https://github.com/coin-or/pulp
 Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pulp

%:
	dh $@ --buildsystem=pybuild --with python3

## python-pulp 2.7.0%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
 Build-Depends-Indep:
  coinor-cbc,
  python3-pyparsing,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/math-team/python-pulp
 Vcs-Git: https://salsa.debian.org/math-team/python-pulp.git
 Homepage: https://github.com/coin-or/pulp

## python-pulp 2.7.0+dfsg

=== debian/changelog ===
python-pulp (2.7.0+dfsg-4) unstable; urgency=medium

  * Copy examples dir before tests and cleanup
    to get tests passing (Closes: #1080235)
  * Bump Standards-Version to 4.7.0 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Sun, 01 Sep 2024 16:35:34 +0530

python-pulp (2.7.0+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Skip test on armel which fails due to slow execution time

 -- Andreas Tille <tille@debian.org>  Sat, 06 Jan 2024 12:43:39 +0100

python-pulp (2.7.0+dfsg-2) unstable; urgency=medium

  * Specify the test dir to fix autopkgtests (Closes: #1056493)

 -- Nilesh Patra <nilesh@debian.org>  Mon, 11 Dec 2023 21:49:10 +0530

python-pulp (2.7.0+dfsg-1) unstable; urgency=medium

  * New upstream version 2.7.0+dfsg
  * d/copyright:
    + Removed choco from exclusion, already purged upstream
    + Remove un-needed zope license section
    + Update copyright years
  * Add patch to ignore pulp provided choco location, change
    pulp_cbc and cbc location to /usr/bin/cbc
  * Bump Standards-Version to 4.6.2 (no changes needed)
  * Add source-specific lintian overrides for long length
    lines, and other overrides for pulptest

 -- Nilesh Patra <nilesh@debian.org>  Sat, 12 Aug 2023 05:21:48 +0000

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
 Build-Depends-Indep:
  coinor-cbc,
  python3-pyparsing,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/math-team/python-pulp
 Vcs-Git: https://salsa.debian.org/math-team/python-pulp.git
 Homepage: https://github.com/coin-or/pulp

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pulp
export PYBUILD_BEFORE_TEST=cp -av examples {build_dir}
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/examples {build_dir}/*.lp

%:
	dh $@ --buildsystem=pybuild --with python3

=== debian/watch ===
version=4
opts=\
repacksuffix=+dfsg,\
repack,compression=xz,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/python-pulp-$1\.tar\.gz/ \
https://github.com/coin-or/pulp/tags .*/(\d[\d\.]+)\.tar\.gz
